
%global meadversion 2.0.0
%global namedversion 2.0.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-connector-api_1.7_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.0.Final-redhat-00001

Name:           %{?scl_prefix}jboss-connector-api_1.7_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java(TM) EE Connector Architecture 1.7 API
Group:          Development/Java

%if %with mead
Source100: jboss-connector-api_1.7_spec-2.0.0.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-connector-api_1.7_spec-2.0.0.Final-redhat-00001.jar
Source103: jboss-connector-api_1.7_spec-2.0.0.Final-redhat-00001-sources.jar
Source104: jboss-connector-api_1.7_spec-2.0.0.Final-redhat-00001-javadoc.jar
Source105: jboss-connector-api_1.7_spec-2.0.0.Final-redhat-00001.pom
%endif

License:        CDDL-1.1 or GPLv2 with exceptions
URL:            https://github.com/jboss/jboss-connector-api_spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JSR 322: Java(TM) EE Connector Architecture 1.7 API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-connector-api_1.7_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-connector-api_1.7_spec-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-connector-api_1.7_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-connector-api_1.7_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-connector-api_1.7_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-connector-api_1.7_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-connector-api_1.7_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-connector-api_1.7_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-connector-api_1.7_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-connector-api_1.7_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-connector-api_1.7_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-connector-api_1.7_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-connector-api_1.7_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%if 0
%doc LICENSE README
%endif
%{_javadir}/jboss-connector-api_1.7_spec-%{namedversion}.jar
%{_javadir}/jboss-connector-api_1.7_spec.jar
%if %with javadoc
%{_javadir}/jboss-connector-api_1.7_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-connector-api_1.7_spec-javadoc.jar
%endif
%{_javadir}/jboss-connector-api_1.7_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-connector-api_1.7_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-connector-api_1.7_spec-%{namedversion}
%{_javadocdir}/jboss-connector-api_1.7_spec
%endif

%changelog
* Thu Oct 31 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.0-2.Final_redhat_00001.1
- Remove Requires for EAP installation

* Mon Sep 30 2019 Yong Yang <yyang@redhat.com> - 2.0.0-1.Final_redhat_00001.1
- RPM wrapper build 2.0.0.Final-redhat-00001

* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 1.0.1-1.Final_redhat_1.1
- 1.0.1.Final-redhat-1 for eap 7.2.0

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.0-5.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.0-4.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Tue Oct 17 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.0-3.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Fri Jun 12 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-2.Final_redhat_1.1
- fix Requires

* Fri Jun 12 2015 Hui Wang <huwang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- Initial build

* Thu Jun 11 2015 Hui Wang <huwang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- release
